Bug 215102 - security/xorsearch: Update to 1.11.1 and take maintainership
Summary: security/xorsearch: Update to 1.11.1 and take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-06 19:52 UTC by Mageirias Anastasios
Modified: 2016-12-24 16:39 UTC (History)
0 users

See Also:


Attachments
patch update (1014 bytes, patch)
2016-12-06 19:52 UTC, Mageirias Anastasios
no flags Details | Diff
new patch (1.68 KB, patch)
2016-12-17 18:01 UTC, Mageirias Anastasios
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mageirias Anastasios 2016-12-06 19:52:21 UTC

    
Comment 1 Mageirias Anastasios 2016-12-06 19:52:58 UTC
Created attachment 177728 [details]
patch update
Comment 2 Dmitry Marakasov freebsd_committer 2016-12-13 15:50:21 UTC
Does not patch:

===>  Applying FreeBSD patches for xorsearch-1.11.1
Ignoring previously applied (or reversed) patch.
1 out of 1 hunks ignored--saving rejects to XORSearch.c.rej
=> Patch patch-XORSearch.c failed to apply cleanly.
*** Error code 1
Comment 3 Mageirias Anastasios 2016-12-17 18:01:19 UTC
Created attachment 178029 [details]
new patch

in order to remove the 'files/patch-XORSearch.c' and the 'files' folder i executed:
'svn delete files/XORSearch.c'
'svn delete files'

but after 'patch < xorsearch-1.11.1_2.diff' i had to remove the 'files' folder and this specific file (patch-XORSearch.c) in order for 'make patch' to pass cleanly.

I don't know if this is the default behavior.

So after that:

portlint: looks fine
port test: OK
poudriere 10,3-RELEASE i386: OK
poudriere 10,3-RELEASE amd64: OK
poudriere 11,0-RELEASE i386: OK
poudriere 11.0-RELEASE amd64: OK

If you want also i can submit the logs.

Thank you for taking care of it and sorry for submiting the faulty patch.
Comment 4 commit-hook freebsd_committer 2016-12-24 16:39:39 UTC
A commit references this bug:

Author: amdmi3
Date: Sat Dec 24 16:38:49 UTC 2016
New revision: 429373
URL: https://svnweb.freebsd.org/changeset/ports/429373

Log:
  - Update to 1.11.1
  - Pass maintainership to submitter

  PR:		215102
  Submitted by:	anastasios@mageirias.com

Changes:
  head/security/xorsearch/Makefile
  head/security/xorsearch/distinfo
  head/security/xorsearch/files/